######################################################################
# TAU Configuration file
######################################################################

# Default values are listed, to change an option, uncomment the line
# and change the value

# Verbose output
#TAU_VERBOSE = 0

# Metrics to use (e.g. timer, linuxtimers, bgptimers, PAPI_FP_OPS)
#TAU_METRICS = time

######################################################################
# Profiling options
######################################################################

# Profiling enabled
#TAU_PROFILE=1

# Profile output location
#TAU_PROFILEDIR = .

# Profile format
#TAU_PROFILE_FORMAT = profile

# Callpath profiling
#TAU_CALLPATH = 0

# Callpath profiling depth
#TAU_CALLPATH_DEPTH = 2

# Profile overhead compensation
#TAU_COMPENSATE = 0

######################################################################
# MPI Options
######################################################################

# Track individual message statistics
#TAU_TRACK_MESSAGE = 0

# Generate Communication matrix
#TAU_COMM_MATRIX = 0

######################################################################
# Throttling options
######################################################################

# Runtime throttling
#TAU_THROTTLE = 1

# Runtime throttling per call threshold (e.g. less than 10 microseconds per call)
#TAU_THROTTLE_PERCALL = 10

# Runtime throttling number of calls threshold (e.g. at least 100000 calls)
#TAU_THROTTLE_NUMCALLS = 100000

######################################################################
### Tracing Options
######################################################################

# Tracing enabled
#TAU_TRACE = 0

# Trace output location
#TAU_TRACEDIR = .

# Synchronize clocks for tracing
#TAU_SYNCHRONIZE_CLOCKS = 1

######################################################################
### Memory Profiling Options
######################################################################

# Track heap at entry/exit with a context event
#TAU_TRACK_HEAP = 0

# Track memory headroom at entry/exit with a context event
#TAU_TRACK_HEADROOM = 0
